# Query Remaining Card Limit

### **Request** URI <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/issuing/card/query-remaining-limit`

### **Request Body**

**Refer to :** [**common**](/issuing-card-api/common.md)

**Biz\_data :**

| Name                                          | Type   | Description |
| --------------------------------------------- | ------ | ----------- |
| card\_token<mark style="color:red;">\*</mark> | string | Card Token  |
| stat\_date                                    | string | Stat Date   |

### **Request** Example <a href="#example" id="example"></a>

```
{
    "app_id": "00000000000000000",
    "partner_id": "00000000000000000",
    "request_id": "bAb7C36d-BF9f-E3cF-B24E-6EF1Dfb1",
    "timestamp": "2025-04-07 13:56:49",
    "format": "JSON",
    "version": "2.0",
    "random_key": "<generated_key>",
    "sign_type": "RSA",
    "biz_data": {
        "card_token": 450620141926
    }
}
// The biz_data in this example needs to be encrypted!
```

### Response <a href="#example" id="example"></a>

<table><thead><tr><th width="263.72265625">Name</th><th width="197.26953125">Type</th><th>Description</th></tr></thead><tbody><tr><td>card_token</td><td>string</td><td>Card Token</td></tr><tr><td>account_num</td><td>string</td><td>Account Number</td></tr><tr><td>daily_used_transactions</td><td>integer</td><td>Daily Used Transactions</td></tr><tr><td>daily_used_amount</td><td>string</td><td>Daily Used Amount</td></tr><tr><td>monthly_used_amount</td><td>string</td><td>Monthly Used Amount</td></tr><tr><td>total_used_amount</td><td>string</td><td>Total Used Amount</td></tr><tr><td>daily_remaining_transactions</td><td>integer</td><td>Daily Remaining Transactions</td></tr><tr><td>daily_remaining_amount</td><td>string</td><td>Daily Remaining Amount</td></tr><tr><td>monthly_remaining_amount</td><td>string</td><td>Monthly Remaining Amount</td></tr><tr><td>total_remaining_limit</td><td>string</td><td>Total Remaining Amount</td></tr></tbody></table>

{% tabs %}
{% tab title="200:OK" %}

```
{
    "code": "10000",
    "msg": "Success",
    "total": 1,
    "random_key": "<random key used for decryption>",
    "sign_type": "RSA",
    "app_id": "00000000000000000",
    "data": {
        "card_token": "450620141926",
        "account_num": "658704******3982",
        "daily_used_transactions": 1,
        "daily_used_amount": "5.01",
        "monthly_used_amount": "25.05",
        "total_used_amount": null,
        "daily_remaining_transactions": 9999,
        "daily_remaining_amount": "9994.99",
        "monthly_remaining_amount": "9974.95",
        "total_remaining_limit": null
    }
}
// The data in this example has already been decrypted.
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/issuing-card-api/business/card/card-limit/query-remaining-card-limit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
